export interface DiscordPost {
  webhook: string;
  role_id: string;
}

export const publishDiscord = async (discordPost: DiscordPost, message: string) => {
  console.log("Publishing to Discord");
  return fetch(discordPost.webhook, {
    method: "POST",
    body: JSON.stringify({ message: `<@${discordPost.role_id}>\n${message}` })
  }).then((r) => r.status);
};
